import { TFormCustomProps } from "primeobjects-ui-web-application/build/cjs/components/forms/types";
export declare const getForm: (customProps: TFormCustomProps) => {
    id: string;
    tooltip: string;
    iconSrc: string;
    getRows: (record: Record<string, any>) => ({
        fields: {
            name: string;
            line: string;
            type: string;
            wrapperStyle: {
                marginTop: number;
            };
        }[];
    } | {
        fields: ({
            groupName: string;
            name: string;
            defaultValue: string;
            alwaysShowLabel: boolean;
            label: string;
            placeholder: string;
            type: string;
            disabled: boolean;
        } | {
            groupName: string;
            name: string;
            alwaysShowLabel: boolean;
            label: string;
            placeholder: string;
            type: string;
            defaultValue?: undefined;
            disabled?: undefined;
        })[];
    } | {
        fields: {
            name: string;
            line: string;
            type: string;
        }[];
    } | {
        fields: {
            groupName: string;
            name: string;
            label: string;
            type: string;
        }[];
    } | {
        fields: ({
            groupName: string;
            name: string;
            defaultValue: number;
            label: string;
            type: string;
            min: number;
            max: number;
        } | {
            type: string;
            groupName?: undefined;
            name?: undefined;
            defaultValue?: undefined;
            label?: undefined;
            min?: undefined;
            max?: undefined;
        })[];
    })[];
};
