import { TFormCustomProps } from "primeobjects-ui-web-application/build/cjs/components/forms/types";
export declare const getForm: (customProps: TFormCustomProps) => {
    id: string;
    tooltip: string;
    iconSrc: string;
    getRows: (record: Record<string, any>) => ({
        fields: {
            name: string;
            alwaysShowLabel: boolean;
            label: string;
            type: string;
            placeholder: string;
        }[];
    } | {
        fields: {
            name: string;
            label: string;
            type: string;
            defaultValue: string;
            options: any[];
            value: any;
            useFieldValue: boolean;
            allowClear: boolean;
            onChange: (record: any) => any;
            search: boolean;
            required: boolean;
        }[];
    } | {
        fields: {
            name: string;
            line: string;
            type: string;
        }[];
    } | {
        fields: {
            name: string;
            line: string;
            subLine: string;
            type: string;
        }[];
    } | {
        fields: ({
            groupName: string;
            name: string;
            alwaysShowLabel: boolean;
            label: string;
            placeholder: string;
            type: string;
            options?: undefined;
        } | {
            groupName: string;
            name: string;
            alwaysShowLabel: boolean;
            label: string;
            placeholder: string;
            type: string;
            options: {
                text: string;
                value: string;
            }[];
        })[];
    })[];
};
