/// <reference types="react" />
import { TColor } from "primeobjects-helper-util";
export type TGetColumnsForParameters = {
    primaryColor: TColor;
    record: Record<string, any>;
    includeKeyType?: boolean;
    toChangeRecord: (record: Record<string, any>, settings?: {
        overwriteOriRecord?: boolean;
    }) => void;
};
export declare const getColumnsForParameters: (props: TGetColumnsForParameters) => ({
    dataIndex: string;
    width: number;
    title: JSX.Element;
    render: (required: boolean, parameter: Record<string, any>, index: number) => JSX.Element;
    className?: undefined;
} | {
    dataIndex: string;
    title: JSX.Element;
    render: (label: string, parameter: Record<string, any>, index: number) => JSX.Element;
    width?: undefined;
    className?: undefined;
} | {
    dataIndex: string;
    width: number;
    title: JSX.Element;
    className: string;
    render: (type: string, parameter: Record<string, any>, index: number) => JSX.Element;
})[];
