import { TFormCustomProps } from "primeobjects-ui-web-application/build/cjs/components/forms/types";
export declare const getPublishGlobalRows: (customProps: TFormCustomProps & {
    publishToGlobalType?: "marketplace" | "internet-read" | undefined;
    allowCustomPublishToGlobalDate?: boolean | undefined;
    allowCustomPublishToUserDate?: boolean | undefined;
}) => (false | {
    fields: {
        wrapperStyle: {
            marginBottom: number;
        };
        name: string;
        type: string;
        line: string;
    }[];
} | {
    fields: {
        name: string;
        type: string;
        line: string;
        onClickClose: () => void;
    }[];
} | {
    fields: ({
        name: string;
        type: string;
        label: string;
        defaultValue: boolean;
        onClickInfo: () => void;
        placeholder?: undefined;
    } | {
        name: string;
        type: string;
        placeholder: string;
        label?: undefined;
        defaultValue?: undefined;
        onClickInfo?: undefined;
    })[];
} | {
    fields: ({
        name: string;
        type: string;
        label: string;
        defaultValue: boolean;
        infoIconColorName: string;
        onClickInfo: () => void;
        placeholder?: undefined;
    } | {
        name: string;
        type: string;
        placeholder: string;
        label?: undefined;
        defaultValue?: undefined;
        infoIconColorName?: undefined;
        onClickInfo?: undefined;
    })[];
})[];
